Bug 404963 - Rectangle Tool with "No-outline" option uses Masked Brush on the outline
Summary: Rectangle Tool with "No-outline" option uses Masked Brush on the outline
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.1.7
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2019-03-01 20:33 UTC by Tiar
Modified: 2019-03-12 14:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
The screenshot of the comparison of the expected and observed behaviour (87.39 KB, image/png)
2019-03-01 20:33 UTC, Tiar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tiar 2019-03-01 20:33:27 UTC
Created attachment 118468 [details]
The screenshot of the comparison of the expected and observed behaviour

SUMMARY
When you use a brush with masked brush enabled (example: Watercolor Hard Edges) and you try to create a rectangle with "no outline" option, you get (very pretty, I must admit) textured edges where there should be only a hard edge of the rectangle.


STEPS TO REPRODUCE
1. Select Watercolor Hard Edges brush (from default brush set).
2. Select Rectangle Tool.
3. Set Rectangle Tool to use "Foreground Colour" and "No Outline".
4. Paint a rectangle.


OBSERVED RESULT
Semi-transparent, textured edges.

EXPECTED RESULT
Opaque hard edges, with no regards to what brush are you using.

ADDITIONAL INFORMATION
Repeat steps with a normal brush to see the difference in behaviour.


SOFTWARE/OS VERSIONS
Windows: 10
Comment 1 wolthera 2019-03-06 09:13:57 UTC
Can confirm
Comment 2 wolthera 2019-03-12 14:45:59 UTC
Git commit 0f2bcb0edd0e5bd1dd0f2d8f1e05ea53232a1dcc by Wolthera van Hövell tot Westerflier.
Committed on 12/03/2019 at 14:44.
Pushed by woltherav into branch 'master'.

M  +2    -0    libs/ui/tool/kis_resources_snapshot.cpp

https://commits.kde.org/krita/0f2bcb0edd0e5bd1dd0f2d8f1e05ea53232a1dcc